Bug 1023554 - cannot get autopart to run after a run through custom storage
cannot get autopart to run after a run through custom storage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
AcceptedBlocker AcceptedFreezeException
:
Depends On:
Blocks: F20FinalBlocker
  Show dependency treegraph
 
Reported: 2013-10-25 14:00 EDT by David Lehman
Modified: 2013-11-07 00:04 EST (History)
6 users (show)

See Also:
Fixed In Version: python-blivet-0.23.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1023584 (view as bug list)
Environment:
Last Closed: 2013-11-07 00:04:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lehman 2013-10-25 14:00:46 EDT
Description of problem:
If you go through and create a layout in the custom spoke and then revisit storage and try to do autopart with reclaim it doesn't ever set the autopart flag.

Version-Release number of selected component (if applicable):
anaconda-20.25.1-1

How reproducible:
Always

Steps to Reproduce:
1. select one of two full disks, go to custom, clear it, autopart, save it
2. revisit storage, select both disks, choose to reclaim, delete all
3. click "Reclaim"

Actual results:
disks are reinitialized but autopart is not run

Expected results:
disks initialized and autopart run

Additional info:
Nothing is setting self.autopart to True in the storage spoke in this case
Comment 1 Mike Ruckman 2013-10-28 13:06:35 EDT
Discussed in 2013-10-28 Blocker Review meeting [1]. It was rejected as a blocker for Beta, but accepted as a Freeze Exception. It was also voted as a Final Blocker. While this feels like too much of a corner case to block beta, it does violate the final release criterion "The installer must be able to create and install to any workable partition layout using any file system and/or container format combination offered in a default installer configuration." [2] A tested fix would be considered past freeze.

[1] http://meetbot.fedoraproject.org/meetbot/meetbot/fedora-blocker-review/2013-10-28/
[2] http://fedoraproject.org/wiki/Fedora_20_Final_Release_Criteria#Disk_layouts
Comment 2 Fedora Update System 2013-10-30 23:27:44 EDT
python-blivet-0.23.3-1.fc20, anaconda-20.25.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.25.5-1.fc20,python-blivet-0.23.3-1.fc20
Comment 3 Fedora Update System 2013-10-31 13:39:23 EDT
Package python-blivet-0.23.3-1.fc20, anaconda-20.25.5-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-blivet-0.23.3-1.fc20 anaconda-20.25.5-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20387/anaconda-20.25.5-1.fc20,python-blivet-0.23.3-1.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-11-05 14:56:06 EST
Package python-blivet-0.23.3-1.fc20, anaconda-20.25.6-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-blivet-0.23.3-1.fc20 anaconda-20.25.6-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20387/anaconda-20.25.6-1.fc20,python-blivet-0.23.3-1.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-11-07 00:04:36 EST
python-blivet-0.23.3-1.fc20, anaconda-20.25.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.